Package com.independentsoft.graph.users

# Class UserPropertyName

java.lang.Object
com.independentsoft.graph.users.UserPropertyName

public class UserPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ABOUT_ME`
  `static String`
  `ACCOUNT_ENABLED`
  `static String`
  `AGE_GROUP`
  `static String`
  `ASSIGNED_LICENSES`
  `static String`
  `ASSIGNED_PLANS`
  `static String`
  `BIRTHDAY`
  `static String`
  `BUSINESS_PHONES`
  `static String`
  `CITY`
  `static String`
  `COMPANY_NAME`
  `static String`
  `CONSENT_PROVIDED_FOR_MINOR`
  `static String`
  `COUNTRY`
  `static String`
  `CREATED_TIME`
  `static String`
  `DELETED_TIME`
  `static String`
  `DEPARTMENT`
  `static String`
  `DISPLAY_NAME`
  `static String`
  `EMAIL_ADDRESS`
  `static String`
  `EMPLOYEE_ID`
  `static String`
  `EXTERNAL_USER_STATE`
  `static String`
  `EXTERNAL_USER_STATE_CHANGE_TIME`
  `static String`
  `FAX_NUMBER`
  `static String`
  `GIVEN_NAME`
  `static String`
  `HIRE_DATE`
  `static String`
  `ID`
  `static String`
  `IM_ADDRESSES`
  `static String`
  `INTERESTS`
  `static String`
  `IS_RESOURCE_ACCOUNT`
  `static String`
  `JOB_TITLE`
  `static String`
  `LEGAL_AGE_GROUP_CLASSIFICATION`
  `static String`
  `LICENSE_ASSIGNMENT_STATES`
  `static String`
  `MAIL_NICKNAME`
  `static String`
  `MAILBOX_SETTINGS`
  `static String`
  `MOBILE_PHONE`
  `static String`
  `MY_SITE`
  `static String`
  `OFFICE_LOCATION`
  `static String`
  `ON_PREMISES_DISTINGUISHED_NAME`
  `static String`
  `ON_PREMISES_DOMAIN_NAME`
  `static String`
  `ON_PREMISES_EXTENSION_ATTRIBUTES`
  `static String`
  `ON_PREMISES_IMMUTABLE_ID`
  `static String`
  `ON_PREMISES_LAST_SYNC_TIME`
  `static String`
  `ON_PREMISES_PROVISIONING_ERRORS`
  `static String`
  `ON_PREMISES_SAM_ACCOUNT_NAME`
  `static String`
  `ON_PREMISES_SECURITY_IDENTIFIER`
  `static String`
  `ON_PREMISES_SYNC_ENABLED`
  `static String`
  `ON_PREMISES_USER_PRINCIPAL_NAME`
  `static String`
  `OTHER_EMAIL_ADDRESSES`
  `static String`
  `PASSWORD_POLICIES`
  `static String`
  `PASSWORD_PROFILE`
  `static String`
  `PAST_PROJECTS`
  `static String`
  `POSTAL_CODE`
  `static String`
  `PREFERRED_DATA_LOCATION`
  `static String`
  `PREFERRED_LANGUAGE`
  `static String`
  `PREFERRED_NAME`
  `static String`
  `PRINCIPAL_NAME`
  `static String`
  `PROVISIONED_PLANS`
  `static String`
  `PROXY_ADDRESSES`
  `static String`
  `REFRESH_TOKENS_VALID_FROM_TIME`
  `static String`
  `RESPONSIBILITIES`
  `static String`
  `SCHOOLS`
  `static String`
  `SHOW_IN_ADDRESS_LIST`
  `static String`
  `SIGN_IN_ACTIVITY`
  `static String`
  `SKILLS`
  `static String`
  `STATE`
  `static String`
  `STREET_ADDRESS`
  `static String`
  `SURNAME`
  `static String`
  `TYPE`
  `static String`
  `USAGE_LOCATION`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### ABOUT_ME

    public static final String ABOUT_ME
    See Also:
      Constant Field Values

  - ### ACCOUNT_ENABLED

    public static final String ACCOUNT_ENABLED
    See Also:
      Constant Field Values

  - ### AGE_GROUP

    public static final String AGE_GROUP
    See Also:
      Constant Field Values

  - ### BUSINESS_PHONES

    public static final String BUSINESS_PHONES
    See Also:
      Constant Field Values

  - ### ASSIGNED_LICENSES

    public static final String ASSIGNED_LICENSES
    See Also:
      Constant Field Values

  - ### ASSIGNED_PLANS

    public static final String ASSIGNED_PLANS
    See Also:
      Constant Field Values

  - ### BIRTHDAY

    public static final String BIRTHDAY
    See Also:
      Constant Field Values

  - ### CITY

    public static final String CITY
    See Also:
      Constant Field Values

  - ### COMPANY_NAME

    public static final String COMPANY_NAME
    See Also:
      Constant Field Values

  - ### CONSENT_PROVIDED_FOR_MINOR

    public static final String CONSENT_PROVIDED_FOR_MINOR
    See Also:
      Constant Field Values

  - ### COUNTRY

    public static final String COUNTRY
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### DELETED_TIME

    public static final String DELETED_TIME
    See Also:
      Constant Field Values

  - ### DEPARTMENT

    public static final String DEPARTMENT
    See Also:
      Constant Field Values

  - ### DISPLAY_NAME

    public static final String DISPLAY_NAME
    See Also:
      Constant Field Values

  - ### EMPLOYEE_ID

    public static final String EMPLOYEE_ID
    See Also:
      Constant Field Values

  - ### EXTERNAL_USER_STATE

    public static final String EXTERNAL_USER_STATE
    See Also:
      Constant Field Values

  - ### EXTERNAL_USER_STATE_CHANGE_TIME

    public static final String EXTERNAL_USER_STATE_CHANGE_TIME
    See Also:
      Constant Field Values

  - ### FAX_NUMBER

    public static final String FAX_NUMBER
    See Also:
      Constant Field Values

  - ### GIVEN_NAME

    public static final String GIVEN_NAME
    See Also:
      Constant Field Values

  - ### IM_ADDRESSES

    public static final String IM_ADDRESSES
    See Also:
      Constant Field Values

  - ### HIRE_DATE

    public static final String HIRE_DATE
    See Also:
      Constant Field Values

  - ### INTERESTS

    public static final String INTERESTS
    See Also:
      Constant Field Values

  - ### IS_RESOURCE_ACCOUNT

    public static final String IS_RESOURCE_ACCOUNT
    See Also:
      Constant Field Values

  - ### JOB_TITLE

    public static final String JOB_TITLE
    See Also:
      Constant Field Values

  - ### LEGAL_AGE_GROUP_CLASSIFICATION

    public static final String LEGAL_AGE_GROUP_CLASSIFICATION
    See Also:
      Constant Field Values

  - ### LICENSE_ASSIGNMENT_STATES

    public static final String LICENSE_ASSIGNMENT_STATES
    See Also:
      Constant Field Values

  - ### EMAIL_ADDRESS

    public static final String EMAIL_ADDRESS
    See Also:
      Constant Field Values

  - ### MAILBOX_SETTINGS

    public static final String MAILBOX_SETTINGS
    See Also:
      Constant Field Values

  - ### MAIL_NICKNAME

    public static final String MAIL_NICKNAME
    See Also:
      Constant Field Values

  - ### MOBILE_PHONE

    public static final String MOBILE_PHONE
    See Also:
      Constant Field Values

  - ### MY_SITE

    public static final String MY_SITE
    See Also:
      Constant Field Values

  - ### OFFICE_LOCATION

    public static final String OFFICE_LOCATION
    See Also:
      Constant Field Values

  - ### ON_PREMISES_DISTINGUISHED_NAME

    public static final String ON_PREMISES_DISTINGUISHED_NAME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_DOMAIN_NAME

    public static final String ON_PREMISES_DOMAIN_NAME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_EXTENSION_ATTRIBUTES

    public static final String ON_PREMISES_EXTENSION_ATTRIBUTES
    See Also:
      Constant Field Values

  - ### ON_PREMISES_IMMUTABLE_ID

    public static final String ON_PREMISES_IMMUTABLE_ID
    See Also:
      Constant Field Values

  - ### ON_PREMISES_LAST_SYNC_TIME

    public static final String ON_PREMISES_LAST_SYNC_TIME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_PROVISIONING_ERRORS

    public static final String ON_PREMISES_PROVISIONING_ERRORS
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SAM_ACCOUNT_NAME

    public static final String ON_PREMISES_SAM_ACCOUNT_NAME
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SECURITY_IDENTIFIER

    public static final String ON_PREMISES_SECURITY_IDENTIFIER
    See Also:
      Constant Field Values

  - ### ON_PREMISES_SYNC_ENABLED

    public static final String ON_PREMISES_SYNC_ENABLED
    See Also:
      Constant Field Values

  - ### ON_PREMISES_USER_PRINCIPAL_NAME

    public static final String ON_PREMISES_USER_PRINCIPAL_NAME
    See Also:
      Constant Field Values

  - ### OTHER_EMAIL_ADDRESSES

    public static final String OTHER_EMAIL_ADDRESSES
    See Also:
      Constant Field Values

  - ### PASSWORD_POLICIES

    public static final String PASSWORD_POLICIES
    See Also:
      Constant Field Values

  - ### PASSWORD_PROFILE

    public static final String PASSWORD_PROFILE
    See Also:
      Constant Field Values

  - ### PAST_PROJECTS

    public static final String PAST_PROJECTS
    See Also:
      Constant Field Values

  - ### POSTAL_CODE

    public static final String POSTAL_CODE
    See Also:
      Constant Field Values

  - ### PREFERRED_DATA_LOCATION

    public static final String PREFERRED_DATA_LOCATION
    See Also:
      Constant Field Values

  - ### PREFERRED_LANGUAGE

    public static final String PREFERRED_LANGUAGE
    See Also:
      Constant Field Values

  - ### PREFERRED_NAME

    public static final String PREFERRED_NAME
    See Also:
      Constant Field Values

  - ### PROVISIONED_PLANS

    public static final String PROVISIONED_PLANS
    See Also:
      Constant Field Values

  - ### PROXY_ADDRESSES

    public static final String PROXY_ADDRESSES
    See Also:
      Constant Field Values

  - ### REFRESH_TOKENS_VALID_FROM_TIME

    public static final String REFRESH_TOKENS_VALID_FROM_TIME
    See Also:
      Constant Field Values

  - ### RESPONSIBILITIES

    public static final String RESPONSIBILITIES
    See Also:
      Constant Field Values

  - ### SCHOOLS

    public static final String SCHOOLS
    See Also:
      Constant Field Values

  - ### SHOW_IN_ADDRESS_LIST

    public static final String SHOW_IN_ADDRESS_LIST
    See Also:
      Constant Field Values

  - ### SKILLS

    public static final String SKILLS
    See Also:
      Constant Field Values

  - ### SIGN_IN_ACTIVITY

    public static final String SIGN_IN_ACTIVITY
    See Also:
      Constant Field Values

  - ### STATE

    public static final String STATE
    See Also:
      Constant Field Values

  - ### STREET_ADDRESS

    public static final String STREET_ADDRESS
    See Also:
      Constant Field Values

  - ### SURNAME

    public static final String SURNAME
    See Also:
      Constant Field Values

  - ### USAGE_LOCATION

    public static final String USAGE_LOCATION
    See Also:
      Constant Field Values

  - ### PRINCIPAL_NAME

    public static final String PRINCIPAL_NAME
    See Also:
      Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      Constant Field Values